STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

STRINGS.RECIPE_DESC.LIGHTBULB = "Feel it's awesome glow!"
Recipe("lightbulb", {Ingredient("pinecone", 3),Ingredient("spidergland", 1),Ingredient("papyrus", 2)}, RECIPETABS.LIGHT, TECH.SCIENCE_TWO)

STRINGS.RECIPE_DESC.WORMLIGHT = "Quite illuminating."
Recipe("wormlight", {Ingredient("fireflies", 1),Ingredient("berries", 3),Ingredient("spidergland", 1)}, RECIPETABS.LIGHT, TECH.SCIENCE_TWO,nil,nil,nil,3)

--making lightbulbs last forever, causes bugs with scenario
local function nonperishable(inst)
	inst:RemoveComponent("perishable")
end
local function hugeshelflife(inst)
	inst.components.perishable:SetPerishTime(9000000)
end
AddPrefabPostInit("lightbulb", hugeshelflife)

--using tools as campfire fuel, THANK YOU, KIOPHO!
local function tool_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
	inst.components.fuel.fuelvalue = TUNING.MED_LARGE_FUEL
end

--using golden tools as campfire fuel
local function goldtool_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
	inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
end

--using honey as lantern fuel
local function honey_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
    inst.components.fuel.fueltype = "CAVE"
end

--using fireflies as lantern fuel
local function firefly_fuel(inst)
--    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.MED_FUEL
    inst.components.fuel.fueltype = "CAVE"
end

local function tiny_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.TINY_FUEL
end

local function small_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
end

local function med_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.MED_FUEL
end

local function medlarge_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.MED_LARGE_FUEL
end

local function large_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
end

local function dark_fuel(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fueltype = "NIGHTMARE"
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
end

AddPrefabPostInit("nitre", function(inst)
	if not inst.components.fuel then
		inst:AddComponent("fuel")
	end
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL
	inst.components.fuel.fueltype = "BURNABLE"
end)

AddPrefabPostInit("molehat", function(inst)
	if inst.components.fueled then
		inst.components.fueled.secondaryfueltype = "CAVE"
	end
end)

--available function presets: tool_fuel, goldtool_fuel, tiny_fuel, small_fuel, med_fuel, medlarge_fuel, large_fuel, dark_fuel
AddPrefabPostInit("umbrella", tool_fuel)
AddPrefabPostInit("fishingrod", tool_fuel)
AddPrefabPostInit("bugnet", tool_fuel)
AddPrefabPostInit("torch", tool_fuel)
AddPrefabPostInit("spear", tool_fuel)
AddPrefabPostInit("tentaclespike", goldtool_fuel)
AddPrefabPostInit("axe", tool_fuel)
AddPrefabPostInit("goldenaxe", goldtool_fuel)
AddPrefabPostInit("pickaxe", tool_fuel)
AddPrefabPostInit("goldenpickaxe", goldtool_fuel)
AddPrefabPostInit("shovel", tool_fuel)
AddPrefabPostInit("goldenshovel", goldtool_fuel)
AddPrefabPostInit("pitchfork", tool_fuel)
AddPrefabPostInit("hammer", tool_fuel)
AddPrefabPostInit("silk", tiny_fuel)
AddPrefabPostInit("stinger", small_fuel)
AddPrefabPostInit("houndstooth", small_fuel)
AddPrefabPostInit("honey", honey_fuel)
--AddPrefabPostInit("fireflies", firefly_fuel)
AddPrefabPostInit("pigskin", medlarge_fuel)
AddPrefabPostInit("feather_crow", med_fuel)
AddPrefabPostInit("feather_robin", med_fuel)
AddPrefabPostInit("feather_robin_winter", med_fuel)
AddPrefabPostInit("petals_evil", dark_fuel)
AddPrefabPostInit("monstermeat", dark_fuel)
AddPrefabPostInit("cookedmonstermeat", dark_fuel)
AddPrefabPostInit("monstermeat_dried", dark_fuel)
AddPrefabPostInit("monsterlasagna", dark_fuel)
AddPrefabPostInit("horn", large_fuel)
AddPrefabPostInit("spiderhat", large_fuel)
AddPrefabPostInit("bushhat", large_fuel)
AddPrefabPostInit("trap", medlarge_fuel)
AddPrefabPostInit("birdtrap", medlarge_fuel)

